Package: cdbs
Version: 0.4.121
Severity: normal
Tags: patch

Hi CDBS mainatiners! With both Qt4 and Qt5 in the archive we will need a
transition for the buildsystem. In order to avoid FTBFSes of
packages that currently build OK, I've created this small patch.

It would be *great* to have it on experimental so we can ask
people to start testing it.

Thanks for considering it.

Kinds regards, Lisandro.

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.21+edid (SMP w/2 CPU cores)
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

cdbs depends on no packages.

Versions of packages cdbs recommends:
ii  autotools-dev  20120608.1

Versions of packages cdbs suggests:
ii  devscripts  2.12.6

-- no debconf information
diff -Naur cdbs-0.4.121/1/class/qmake.mk.in cdbs-0.4.121.mod/1/class/qmake.mk.in
--- cdbs-0.4.121/1/class/qmake.mk.in	2012-12-23 13:11:54.000000000 -0300
+++ cdbs-0.4.121.mod/1/class/qmake.mk.in	2013-04-14 17:28:07.893676624 -0300
@@ -36,6 +36,11 @@
 DEB_QMAKE_CONFIG_VAL ?= nostrip
 endif
 
+# Use Qt4 by default except QT_SELECT says otherwise.
+ifndef QT_SELECT
+export QT_SELECT=qt4
+endif
+
 common-configure-arch common-configure-indep:: common-configure-impl
 common-configure-impl:: $(DEB_BUILDDIR)/Makefile
 $(DEB_BUILDDIR)/Makefile:
-- 
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-talk

Reply via email to